## mdanalysis 2.0.0+dfsg1

=== package/requirements.txt ===
biopython
codecov
cython
griddataformats
gsd
hypothesis
joblib>=0.12
matplotlib
mmtf-python
msmb_theme==1.2.0
netcdf4
networkx
numpy>=1.16.0
parmed
pytest
scikit-learn
scipy
seaborn>=0.7.0,<=0.9
sphinx==1.8.5
sphinx_rtd_theme
sphinx_sitemap
threadpoolctl
tqdm

=== debian/changelog ===
mdanalysis (2.0.0+dfsg1-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:23:34 +0000

mdanalysis (2.0.0+dfsg1-4) unstable; urgency=medium

  * source upload to allow python-mdanalysis-doc to migrate to testing

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Feb 2022 17:17:45 +0100

mdanalysis (2.0.0+dfsg1-3) unstable; urgency=medium

  * provide docs in python-mdanalysis-doc package
    - Build-Depends: python3-sphinx, python3-msmb-theme, libjs-mathjax
    - add debian privacy patches
      * docs_local_mathjax.patch use local mathjax.js script
      * docs_privacy.patch removes goat counter from footer

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Feb 2022 11:48:11 +0100

mdanalysis (2.0.0+dfsg1-2) unstable; urgency=medium

  * Build with -ffloat-store on i386 to workaround x87 excess
    precision causing test failures. Thanks Adrian Bunk.
  * add debian patches to enable successful build of docs
    - docs_no_logo.patch skips use of logo image files
      (upstream does not give permission to use them)
    - docs_missing_sphinx_sitemap.patch skips sphinx_sitemap
      (not yet packaged for Debian)
    - docs_sphinx_warnings_are_not_errors.patch stops treating sphinx
      warnings as errors (needed to ignore inconsistent documentation
      of analysis.density)
    - note that the doc package itself is not yet provided
  * debian patch tests_floating_point.patch fixes test of floating
    point numbers (upstream Issue#3524)
  * execute dh_numpy3 after dh_python3 to assign python3-numpy-abi
  * remove autogenerated files left after dh_auto_clean and pytest

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Feb 2022 19:36:31 +0100

mdanalysis (2.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends:
       python3-h5py,
       python3-numpy (>= 1.16.0~),
       python3-netcdf4 (>= 1.0~),
       python3-seaborn,
       python3-sklearn,
       python3-threadpoolctl
    - applies debian patch fix_matplotlib_PR2763.patch
  * Standards-Version: 4.6.0
  * add detailed copyright entries (GPL-2 and GPL-3) to
    debian/copyright, identified by :Copyright: tag in files.
    CODE_OF_CONDUCT.md is CCA-3.0.
  * debian/rules override_dh_clean: remove .c cython files
  * run tests with MPLBACKEND=agg to avoid Xserver (Xvfb) errors
  * Note that logo files are not used in source (+dfsg) since they are
    non-free (not free to alter and redistribute alterations)

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Sep 2021 03:12:37 +0200

mdanalysis (1.0.0+dfsg1-2) unstable; urgency=medium

  * Build-Depends: python3-all-dev (needs Python.h), cython3
    python3-hypothesis, python3-sklearn (debian/tests also)
  * python3-mdanalysis Depends: python3-duecredit,
    Recommends: python3-sklearn
  * use testsuite for build-time tests with pytest
    (over all python versions)

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Dec 2020 01:56:26 +1100

mdanalysis (1.0.0+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #962440)
  * debian/rules: pybuild source dir PYBUILD_DIR=package
  * Build-Depends:
      python3-numpy (>=1.13.3),
      python3-biopython (>= 1.71),
      python3-networkx (>= 1.0),
      python3-griddataformats (>= 0.4.0),
      python3-six (>= 1.4.0),
      python3-mmtf (>= 1.0.0),
      python3-joblib,
      python3-scipy (>= 1.0.0),
      python3-matplotlib (>= 1.5.1),
      python3-mock,
      python3-gsd (>= 1.4.0)
  * Build-Depends: tox, python3-duecredit (to run build-time tests)
  * debian patches:
    - docs_use_built_module.patch stops doc build from using
      raw (unbuilt) source to build docs. Set PYTHONPATH to .pybuild dir.
    - fix_matplotlib_PR2763.patch applies upstream PR2763 to fix
      matplotlib API.
  * But docs are not built yet pending packaging of
    python3-sphinx-sitemap (see RFP#970811).

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Sep 2020 22:21:26 +0800

=== debian/control ===
Source: mdanalysis
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 cython3,
 dh-python,
 python3-all-dev,
 python3-setuptools,
 python3-numpy (>= 1.16.0~),
 python3-biopython (>= 1.71),
 python3-networkx (>= 1.0),
 python3-griddataformats (>= 0.4.0),
 python3-six (>= 1.4.0),
 python3-mmtf (>= 1.0.0),
 python3-joblib (>= 0.12),
 python3-scipy (>= 1.0.0),
 python3-matplotlib (>= 1.5.1),
 python3-mock,
 python3-netcdf4 (>= 1.0~),
 python3-tqdm (>= 4.43.0),
 python3-gsd (>= 1.4.0),
 python3-duecredit,
 python3-h5py,
 python3-hypothesis,
 python3-pytest,
 python3-seaborn,
 python3-sklearn,
 python3-sphinx,
 python3-threadpoolctl
Build-Depends-Indep: python3-msmb-theme,
 libjs-mathjax
Standards-Version: 4.6.0
Homepage: https://www.mdanalysis.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git

Package: python3-mdanalysis
Architecture: any
Depends: python3-duecredit, ${python3:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-sklearn
Suggests: python-mdanalysis-doc
Description: analyse molecular dynamics files and trajectories
 MDAnalysis is a Python library for the analysis of computer
 simulations of many-body systems at the molecular scale, spanning use
 cases from interactions of drugs with proteins to novel materials. It
 is widely used in the scientific community and is written by
 scientists for scientists.
 .
 MDAnalysis allows one to read particle-based trajectories (including
 individual coordinate frames such as biomolecules in the PDB format)
 and access the atomic coordinates through NumPy arrays. This provides
 a flexible and relatively fast framework for complex analysis tasks.
 In addition, powerful atom selection commands are implemented.
 Trajectories can also be manipulated (for instance, fit to a
 reference structure) and written out.
 .
 It works with a wide range of popular simulation packages including
 Gromacs, Amber, NAMD, CHARMM, DL_Poly, HooMD, LAMMPS and many others
 — see the lists of supported trajectory formats and topology formats.
 MDAnalysis also includes widely used analysis algorithms in the
 MDAnalysis.analysis module.
 .
 The MDAnalysis project uses an open governance model and is fiscally
 sponsored by NumFOCUS.
 .
 This package installs the library for Python 3.

Package: python-mdanalysis-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${sphinxdoc:Depends},
 ${misc:Depends}
Description: analyse molecular dynamics files and trajectories ( documentation)
 MDAnalysis is a Python library for the analysis of computer
 simulations of many-body systems at the molecular scale, spanning use
 cases from interactions of drugs with proteins to novel materials. It
 is widely used in the scientific community and is written by
 scientists for scientists.
 .
 MDAnalysis allows one to read particle-based trajectories (including
 individual coordinate frames such as biomolecules in the PDB format)
 and access the atomic coordinates through NumPy arrays. This provides
 a flexible and relatively fast framework for complex analysis tasks.
 In addition, powerful atom selection commands are implemented.
 Trajectories can also be manipulated (for instance, fit to a
 reference structure) and written out.
 .
 It works with a wide range of popular simulation packages including
 Gromacs, Amber, NAMD, CHARMM, DL_Poly, HooMD, LAMMPS and many others
 — see the lists of supported trajectory formats and topology formats.
 MDAnalysis also includes widely used analysis algorithms in the
 MDAnalysis.analysis module.
 .
 The MDAnalysis project uses an open governance model and is fiscally
 sponsored by NumFOCUS.
 .
 This is the documentation package for MDAnalysis.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=mdanalysis
export PYBUILD_DIR=package

ifneq (,$(filter $(DEB_HOST_ARCH), i386))
  export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
endif

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -f .duecredit.p
	rm -f package/MDAnalysis/authors.py
	rm -f package/MDAnalysis/analysis/encore/clustering/affinityprop.c \
	  package/MDAnalysis/analysis/encore/cutils.c \
	  package/MDAnalysis/analysis/encore/dimensionality_reduction/stochasticproxembed.c \
	  package/MDAnalysis/lib/_augment.cpp \
	  package/MDAnalysis/lib/_cutil.cpp \
	  package/MDAnalysis/lib/c_distances.c \
	  package/MDAnalysis/lib/c_distances_openmp.c \
	  package/MDAnalysis/lib/formats/cython_util.c \
	  package/MDAnalysis/lib/formats/libdcd.c \
	  package/MDAnalysis/lib/formats/libmdaxdr.c \
	  package/MDAnalysis/lib/nsgrid.cpp \
	  package/MDAnalysis/lib/qcprot.c
	rm -rf package/MDAnalysis.egg-info
	rm -f testsuite/MDAnalysisTests/data/.*_offsets.npz  testsuite/MDAnalysisTests/data/*/.*_offsets.npz
	rm -rf testsuite/.pytest_cache

override_dh_auto_test:
	for py in $(shell py3versions -rv); do \
	  echo "=== testing with python$$py ==="; \
	  pydir=`pybuild -p $$py --system=distutils --print {build_dir}`; \
	  MPLBACKEND=agg PYTHONPATH=$$pydir python$$py -mpytest testsuite; \
	  rm -rf $$pydir/MDAnalysis/.hypothesis; \
	done

execute_after_dh_python3:
	dh_numpy3

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print {build_dir}) make html -C package/doc/sphinx/ BUILDDIR=$(CURDIR)/.pybuild  # HTML generator

## mdanalysis 2.3.0+dfsg1

=== package/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 biopython
 codecov
 cython
+fasteners
 griddataformats
 gsd
 hypothesis
@@ -10,7 +11,8 @@
 msmb_theme==1.2.0
 netcdf4
 networkx
-numpy>=1.16.0
+numpy>=1.20.0
+packaging
 parmed
 pytest
 scikit-learn

=== debian/changelog ===
mdanalysis (2.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch tests_floating_point.patch
  * Build-Depends: pybuild-plugin-pyproject to use pyproject.toml
    - update Build-Depends: python3-numpy (>= 1.20.0~),
      python3-networkx (>= 2.0),
      python3-scipy (>= 1.5.0),
      python3-gsd (>= 1.9.3~),
      python3-packaging,
      python3-fasteners
    - drop Build-Depends: python3-six
  * Build-Depends-Indep: python3-pybtex, python3-sphinx-rtd-theme,
    python3-sphinx-sitemap, python3-sphinxcontrib.bibtex
    - drop debian patch docs_missing_sphinx_sitemap.patch
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Nov 2022 23:10:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Build-Depends: debhelper-compat (= 13),
  cython3,
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
- python3-numpy (>= 1.16.0~),
+ python3-numpy (>= 1.20.0~),
  python3-biopython (>= 1.71),
- python3-networkx (>= 1.0),
+ python3-networkx (>= 2.0),
  python3-griddataformats (>= 0.4.0),
- python3-six (>= 1.4.0),
  python3-mmtf (>= 1.0.0),
  python3-joblib (>= 0.12),
- python3-scipy (>= 1.0.0),
+ python3-scipy (>= 1.5.0),
  python3-matplotlib (>= 1.5.1),
  python3-mock,
  python3-netcdf4 (>= 1.0~),
  python3-tqdm (>= 4.43.0),
- python3-gsd (>= 1.4.0),
+ python3-gsd (>= 1.9.3~),
  python3-duecredit,
  python3-h5py,
  python3-hypothesis,
@@ -28,10 +28,16 @@
  python3-seaborn,
  python3-sklearn,
  python3-sphinx,
- python3-threadpoolctl
+ python3-threadpoolctl,
+ python3-packaging,
+ python3-fasteners
 Build-Depends-Indep: python3-msmb-theme,
+ python3-pybtex,
+ python3-sphinx-rtd-theme,
+ python3-sphinx-sitemap,
+ python3-sphinxcontrib.bibtex,
  libjs-mathjax
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.mdanalysis.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git

## mdanalysis 2.4.1+dfsg1

=== debian/changelog ===
mdanalysis (2.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - update Build-Depends: python3-biopython (>= 1.80)
  * mark python-mdanalysis-doc as Multi-Arch: foreign
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Dec 2022 11:52:12 +0100

## mdanalysis 2.4.2+dfsg1

=== package/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-biopython
+biopython>=1.80
 codecov
 cython
 fasteners

=== debian/changelog ===
mdanalysis (2.4.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - fixes DensityAnalysis for numpy 1.24. Closes: #1027227,

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Jan 2023 17:54:02 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all-dev,
  python3-setuptools,
  python3-numpy (>= 1.20.0~),
- python3-biopython (>= 1.71),
+ python3-biopython (>= 1.80),
  python3-networkx (>= 2.0),
  python3-griddataformats (>= 0.4.0),
  python3-mmtf (>= 1.0.0),
@@ -37,7 +37,7 @@
  python3-sphinx-sitemap,
  python3-sphinxcontrib.bibtex,
  libjs-mathjax
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.mdanalysis.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git
@@ -76,6 +76,7 @@
 
 Package: python-mdanalysis-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-mathjax, ${sphinxdoc:Depends},
  ${misc:Depends}

=== debian/tests/control ===
Test-Command: MPLBACKEND=agg pytest-3
Depends: @, @builddeps@,
 python3-hypothesis,
 python3-pytest,
 python3-sklearn
Restrictions: allow-stderr

## mdanalysis 2.5.0+dfsg1

=== package/requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 msmb_theme==1.2.0
 netcdf4
 networkx
-numpy>=1.20.0
+numpy>=1.21.0
 packaging
 parmed
 pytest

=== debian/changelog ===
mdanalysis (2.5.0+dfsg1-2) unstable; urgency=medium

  * debian patches gsd3_PR4153.diff and gsd3_PR4174.diff apply
    upstream PR#4153 and #4174 to enable support for gsd 3.

 -- Drew Parsons <dparsons@debian.org>  Fri, 28 Jul 2023 12:43:14 +0200

mdanalysis (2.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Depends: python3-numpy (>= 1.21.0~)
    - drop Build-Depends: python3-mock (now uses unittest.mock)
  * reorder Build-Depends by order in setup.py

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Jun 2023 00:13:39 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
- python3-numpy (>= 1.20.0~),
+ python3-numpy (>= 1.21.0~),
  python3-biopython (>= 1.80),
  python3-networkx (>= 2.0),
  python3-griddataformats (>= 0.4.0),
@@ -17,20 +17,19 @@
  python3-joblib (>= 0.12),
  python3-scipy (>= 1.5.0),
  python3-matplotlib (>= 1.5.1),
- python3-mock,
+ python3-tqdm (>= 4.43.0),
+ python3-threadpoolctl,
+ python3-packaging,
+ python3-fasteners,
+ python3-gsd (>= 3.0.1~),
  python3-netcdf4 (>= 1.0~),
- python3-tqdm (>= 4.43.0),
- python3-gsd (>= 1.9.3~),
- python3-duecredit,
  python3-h5py,
- python3-hypothesis,
- python3-pytest,
  python3-seaborn,
  python3-sklearn,
+ python3-duecredit,
+ python3-hypothesis <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-sphinx,
- python3-threadpoolctl,
- python3-packaging,
- python3-fasteners
 Build-Depends-Indep: python3-msmb-theme,
  python3-pybtex,
  python3-sphinx-rtd-theme,

## mdanalysis 2.7.0

=== package/requirements.txt ===
biopython>=1.80
codecov
cython
fasteners
griddataformats
gsd
hypothesis
joblib>=0.12
matplotlib
mmtf-python
netcdf4
networkx
numpy>=1.22.3
packaging
parmed
pytest
scikit-learn
scipy
seaborn>=0.7.0,<=0.9
sphinx <7.0
mdanalysis_sphinx_theme >=1.0.1
sphinx_sitemap
threadpoolctl
tqdm

=== debian/changelog ===
mdanalysis (2.7.0-3) unstable; urgency=medium

  * use debian/tests/test-mdanalysis to control debci tests
    - test over all supported python versions
    - i386: skip test_multiprocess_COG[u4]
    - s390x: skip many tests.
      Big-endian support is incomplete. See upstream Issue#1829.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Aug 2024 11:59:17 +0200

mdanalysis (2.7.0-2) unstable; urgency=medium

  * python3-gsd is only available on little-endian systems
    (not s390x and other big-endian arches)
  * run build tests on i386 verbose (-v) to catch stalling tests
  * debian/tests: run CI verbose -v (again, to catch i386 failure)
    Closes: #1063325.

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Aug 2024 13:01:08 +0200

mdanalysis (2.7.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    - supports Python 3.12. Closes: #1071800, #1061811.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).
  * Add upstream metadata

  [ Drew Parsons ]
  * Build-Depends: python3-mda-xdrlib
  * debian patch xdr_type_PR4408.patch applies upstream PR#4408
    to fix XDR types. See upstream Issue#4589.
  * remove generated timestep.cpp during clean. Closes: #1045215.
  * debian patchdoc_no_mdanalysis_sphinx.patch disables use of custom
    sphinx theme
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jul 2024 16:38:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,11 @@
 
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
   export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
+  export PYBUILD_TEST_ARGS += -v
 endif
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_after_dh_auto_clean:
 	rm -f .duecredit.p
@@ -19,6 +20,7 @@
 	rm -f package/MDAnalysis/analysis/encore/clustering/affinityprop.c \
 	  package/MDAnalysis/analysis/encore/cutils.c \
 	  package/MDAnalysis/analysis/encore/dimensionality_reduction/stochasticproxembed.c \
+	  package/MDAnalysis/coordinates/timestep.cpp \
 	  package/MDAnalysis/lib/_augment.cpp \
 	  package/MDAnalysis/lib/_cutil.cpp \
 	  package/MDAnalysis/lib/c_distances.c \

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,filenamemangle=s%(?:.*?)?release-(\d[\d.]*)\.tar\.gz%mdanalysis-$1.tar.gz%" \
   https://github.com/MDAnalysis/mdanalysis/tags \
   (?:.*?/)?release-(\d[\d.]*)\.tar\.gz debian uupdate

## mdanalysis 2.8.0

=== package/requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 mmtf-python
 netcdf4
 networkx
-numpy>=1.22.3
+numpy>=1.23.2
 packaging
 parmed
 pytest

=== debian/changelog ===
mdanalysis (2.8.0-4build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:49:29 +0000

mdanalysis (2.8.0-4) unstable; urgency=medium

  * fix running tests verbose

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Feb 2025 01:16:36 +0100

mdanalysis (2.8.0-3) unstable; urgency=medium

  * run all tests verbose

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Feb 2025 11:03:45 +0100

mdanalysis (2.8.0-2) unstable; urgency=medium

  * Depends: python3-biopython only on arches where it is available
    (biopython is optional for mdanalysis, needed for analysis.align)
  * run armel tests verbose to identify stalling distance tests
  * build i386 with -fexcess-precision=fast (better than relaxing test
    tolerance). Closes: #1095739

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Feb 2025 12:40:15 +0100

mdanalysis (2.8.0-1) unstable; urgency=medium

  * New upstream release
    - supports Numpy 2. Closes: #1094808.
    - applies debian patch xdr_type_PR4408.patch
  * drop logo exclusions (logo files no longer shipped upstream)
    Drop debian patch docs_no_logo.patch.
  * update debian/watch to latest uscan recommendations
    (without renaming for DFSG logo exclusion)
  * debian patch test_skip_missing_modules.patch skips test_hole2,
    test_psa, test_waterdynamics when mdahole2, pathsimanalysis,
    waterdynamics are not available (they are not yet packaged for
    debian)
    - and skip test_all_import[.analysis.hole2], journal.pcbi.1004568
      (duecredit test accessing pathsimanalysis)
  * run tests with --disable-pytest-warnings as recommended upstream
  * don't ignore build-time test errors.
    Apply i386 and s390x test skips in debian/tests to debian/rules.
  * delete .duecredit.p generated by tests (otherwise gets installed)
  * after dh_python3, remove leftover python3.* files (dist files not
    generated cleanly)

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Feb 2025 20:13:19 +0100

mdanalysis (2.7.0-5) unstable; urgency=medium

  * debian/tests: fix i386 test skips

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Aug 2024 19:37:15 +0200

mdanalysis (2.7.0-4) unstable; urgency=medium

  * i386: skip test_ramachandran, test_hbond_analysis,
    test_clustering_three_ensembles_two_identical

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Aug 2024 10:53:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,50 +1,55 @@
 Source: mdanalysis
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Uploaders: Drew Parsons <dparsons@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cython3,
- dh-python,
- pybuild-plugin-pyproject,
- python3-all-dev,
- python3-setuptools,
- python3-numpy (>= 1.21.0~),
- python3-biopython (>= 1.80),
- python3-networkx (>= 2.0),
- python3-griddataformats (>= 0.4.0),
- python3-mmtf (>= 1.0.0),
- python3-joblib (>= 0.12),
- python3-scipy (>= 1.5.0),
- python3-matplotlib (>= 1.5.1),
- python3-tqdm (>= 4.43.0),
- python3-threadpoolctl,
- python3-packaging,
- python3-fasteners,
- python3-gsd (>= 3.0.1~),
- python3-netcdf4 (>= 1.0~),
- python3-h5py,
- python3-seaborn,
- python3-sklearn,
- python3-duecredit,
- python3-hypothesis <!nocheck>,
- python3-pytest <!nocheck>,
- python3-sphinx,
+               cython3,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3-all-dev,
+               python3-setuptools,
+               python3-numpy,
+               python3-biopython (>= 1.80) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+               python3-networkx,
+               python3-griddataformats,
+               python3-mmtf,
+               python3-joblib,
+               python3-scipy,
+               python3-matplotlib,
+               python3-mda-xdrlib,
+               python3-tqdm,
+               python3-threadpoolctl,
+               python3-packaging,
+               python3-fasteners,
+               python3-gsd (>= 3.0.1~) [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
+               python3-netcdf4,
+               python3-h5py,
+               python3-seaborn,
+               python3-sklearn,
+               python3-duecredit,
+               python3-hypothesis <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-sphinx
 Build-Depends-Indep: python3-msmb-theme,
- python3-pybtex,
- python3-sphinx-rtd-theme,
- python3-sphinx-sitemap,
- python3-sphinxcontrib.bibtex,
- libjs-mathjax
-Standards-Version: 4.6.2
-Homepage: https://www.mdanalysis.org/
+                     python3-pybtex,
+                     python3-sphinx-rtd-theme,
+                     python3-sphinx-sitemap,
+                     python3-sphinxcontrib.bibtex,
+                     libjs-mathjax
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git
+Homepage: https://www.mdanalysis.org/
+Rules-Requires-Root: no
 
 Package: python3-mdanalysis
 Architecture: any
-Depends: python3-duecredit, ${python3:Depends},
- ${shlibs:Depends}, ${misc:Depends}
+Depends: python3-duecredit,
+         python3-biopython (>= 1.80) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+         ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: python3-sklearn
 Suggests: python-mdanalysis-doc
 Description: analyse molecular dynamics files and trajectories
@@ -77,8 +82,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-mathjax, ${sphinxdoc:Depends},
- ${misc:Depends}
+Depends: libjs-mathjax,
+         ${sphinxdoc:Depends},
+         ${misc:Depends}
 Description: analyse molecular dynamics files and trajectories ( documentation)
  MDAnalysis is a Python library for the analysis of computer
  simulations of many-body systems at the molecular scale, spanning use

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,38 @@
 export PYBUILD_NAME=mdanalysis
 export PYBUILD_DIR=package
 
-ifneq (,$(filter $(DEB_HOST_ARCH), i386))
-  export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
-  export PYBUILD_TEST_ARGS += -v
+# mdahole2, pathsimanalysis are not yet packaged for debian
+# (duecredit test journal.pcbi.1004568 accesses pathsimanalysis)
+SKIP_TEST_LIST += test_all_import[.analysis.hole2] journal.pcbi.1004568
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), i386))
+  export DEB_CFLAGS_MAINT_APPEND += -ffloat-store -fexcess-precision=fast
+
+  SKIP_TEST_LIST += test_multiprocess_COG[u4] test_ramachandran
+  SKIP_TEST_LIST += test_clustering_three_ensembles_two_identical test_hbond_analysis
 endif
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), s390x))
+  SKIP_TEST_LIST += test_start_stop_step test_count_by_time \
+        test_rmsd test_mass_weighted test_custom_weighted test_ref_mobile_mass_mismapped \
+        test_time test_dt test_total_time test_iter test_last_frame test_frame_jump \
+        test_next_gives_second_frame test_set_time test_write_istart \
+        test_write_trajectory_atomgroup test_write_trajectory_universe test_Timestep_time \
+        test_rename_aux test_namdbin ref_reader25 ref_reader_extra_args25
+endif
+
+SKIP_TESTS=$(shell skip_tests=""; list_initialised=0; \
+        for t in $(SKIP_TEST_LIST); do \
+            if [ $${list_initialised} = 0 ]; then \
+                skip_tests=$$t; \
+                list_initialised=1; \
+            else \
+                skip_tests="$${skip_tests} or $$t"; \
+            fi; \
+        done; \
+        if [ "x$${skip_tests}" != "x" ]; then \
+            echo "not ( $${skip_tests} )"; \
+        fi )
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
@@ -35,15 +63,18 @@
 	rm -rf testsuite/.pytest_cache
 
 override_dh_auto_test:
+	set -e; \
 	for py in $(shell py3versions -rv); do \
 	  echo "=== testing with python$$py ==="; \
 	  pydir=`pybuild -p $$py --system=distutils --print {build_dir}`; \
-	  MPLBACKEND=agg PYTHONPATH=$$pydir python$$py -mpytest testsuite; \
+	  MPLBACKEND=agg PYTHONPATH=$$pydir python$$py -mpytest -v -k "$(SKIP_TESTS)" --disable-pytest-warnings testsuite; \
 	  rm -rf $$pydir/MDAnalysis/.hypothesis; \
+	  rm -rf $$pydir/MDAnalysis/.duecredit.p; \
 	done
 
 execute_after_dh_python3:
 	dh_numpy3
+	rm -rf debian/python3-mdanalysis/usr/lib/python3.*
 
 execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9

=== debian/tests/control ===
Tests: test-mdanalysis
Depends: @, @builddeps@,
 python3-hypothesis,
 python3-pytest,
 python3-sklearn,
 python3-all
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/MDAnalysis/mdanalysis/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/release-@ANY_VERSION@

## mdanalysis 2.9.0

=== debian/changelog ===
mdanalysis (2.9.0-12) unstable; urgency=medium

  * skip all tests, both build-time and run-time. See Bug#1108309.

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Jul 2025 11:07:57 +0200

mdanalysis (2.9.0-11) unstable; urgency=medium

  * fix order of conditional control of build-time tests

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Jul 2025 19:16:36 +0200

mdanalysis (2.9.0-10) unstable; urgency=medium

  * apply suggestion from Bug#1108309 to skip tests (build and
    runtime) if less than 2 CPUs are available
  * do not run build-time tests on hurd-i386
    or when nocheck is set in DEB_BUILD_OPTIONS

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Jul 2025 15:12:21 +0200

mdanalysis (2.9.0-9) unstable; urgency=medium

  * debian/tests/control: mark mdanalysis with Restrictions: flaky.
    mdanalysis tests are generally unreliable and fail often and
    randomly. Closes: #1108309
  * debian/tests: skip tests observed failing in debci
    migration-reference runs:
    test_dihedral_attr_warning test_AnalysisFromFunction
    test_villin_unfolded test_rmsd_frames test_file_guess_hydrogens
    test_gnm_run_step test_all_backends_give_correct_results
    test_startframe test_hbond_analysis

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Jul 2025 10:23:27 +0200

mdanalysis (2.9.0-8) unstable; urgency=medium

  * skip test_distances, since NSGrid is flaky and causes distance
    tests to often (randomly) fail, see upstream Issue #4906.
    Closes: #1104387

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 May 2025 23:44:46 +0200

mdanalysis (2.9.0-7) unstable; urgency=medium

  * skip all parallel tests, including multiprocess tests.
    mdanalysis tests are flakey. Aiming to minimise the failure
    cross-section.

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Apr 2025 10:50:06 +0200

mdanalysis (2.9.0-6) unstable; urgency=medium

  * skip all openmp tests. openmp is unstable, tests often fail.

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Apr 2025 20:57:05 +0200

mdanalysis (2.9.0-5) unstable; urgency=medium

  * ppc64: skip test_timestep_copied and test_positions_share_memory
    with [ref_reader25] in coordinates/test_copying.py

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Apr 2025 20:42:23 +0200

mdanalysis (2.9.0-4) unstable; urgency=medium

  * fix parentheses in ppc64 test skips

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Apr 2025 17:35:50 +0200

mdanalysis (2.9.0-3) unstable; urgency=medium

  * skip tests failing on hppa and ppc64

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Apr 2025 23:47:22 +0200

mdanalysis (2.9.0-2) unstable; urgency=medium

  * drop PMG_TEST_FILES_DIR env var in debian/tests
  * debian patch improve_test_timeout_PR4584.diff applies upstream
    PR#4584 (diff not patch) to help improve test reliability
  * gsd causes timeouts. Explicitly disable gsd tests.
    debian patch skip_gsd_tests.patch sets HAS_GSD=False in tests.
    https://github.com/MDAnalysis/mdanalysis/issues/4209
    Closes: #1103158, #1103367

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Apr 2025 00:54:54 +0200

mdanalysis (2.9.0-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: python3-filelock
  * drop debian patch test_skip_missing_modules.patch. Deprecated by
    new upstream import checks.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Apr 2025 19:51:52 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                python3-tqdm,
                python3-threadpoolctl,
                python3-packaging,
+               python3-filelock,
                python3-fasteners,
                python3-gsd (>= 3.0.1~) [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                python3-netcdf4,
@@ -37,7 +38,7 @@
                      python3-sphinx-sitemap,
                      python3-sphinxcontrib.bibtex,
                      libjs-mathjax
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git
 Homepage: https://www.mdanalysis.org/

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,33 @@
 
 export PYBUILD_NAME=mdanalysis
 export PYBUILD_DIR=package
+
+# skip tests on these arches
+ARCH_NO_TEST_LIST = hurd-i386
+
+empty :=
+space := $(empty)$(empty)
+
+# run tests, or not
+#RUNTEST=yes
+# always skip all tests for now, see Bug#1108309
+RUNTEST=no
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_NO_TEST_LIST)$(space)))
+  RUNTEST=no
+endif
+ifeq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+  RUNTEST=no
+endif
+
+# parallel and openmp tests are unstable, often timing out
+SKIP_TEST_LIST += parallel multiprocess openmp
+
+# gsd tends to induce test time-outs, https://github.com/MDAnalysis/mdanalysis/issues/4209
+SKIP_TEST_LIST += gsd GSD
+
+# NSGrid is flaky and causes distance tests to often (randomly) fail
+# https://github.com/MDAnalysis/mdanalysis/issues/4906
+SKIP_TEST_LIST += test_distances
 
 # mdahole2, pathsimanalysis are not yet packaged for debian
 # (duecredit test journal.pcbi.1004568 accesses pathsimanalysis)
@@ -24,6 +51,36 @@
         test_next_gives_second_frame test_set_time test_write_istart \
         test_write_trajectory_atomgroup test_write_trajectory_universe test_Timestep_time \
         test_rename_aux test_namdbin ref_reader25 ref_reader_extra_args25
+endif
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), hppa))
+  SKIP_TEST_LIST += Parallel parallel Serial \
+	test_frame_bool_fail FrameAnalysis test_start_stop_step test_AnalysisFromFunction_args_content \
+	test_bat_multifragments_atomgroup test_distance_box test_n_initial_contacts \
+	test_density_analysis_conversion_default_unit \
+	test_trajectory[client_DSSP test_atomgroup[client_DSSP test_trajectory_with_hydrogens[client_DSSP \
+	test_get_distance_matrix TestHydrogenBondAnalysisTIP3P \
+	test_cosine_content TestRMSD \
+	"(TestChainReader and test_time)" TestChainReaderFormats TestChainReaderContinuous test_issue_4008 \
+	TestDCDReader test_write_istart TestDCDWriter test_writer_dt test_other_writer \
+	test_writer_no_h5py TestLAMMPSDCDReader TestMemoryReader TestNAMDBINReader TestNCDFWriter \
+	test_xdr test_write_frame_none test_tpr_fragments test_reader_wo_timeseries test_libmdaxdr \
+	test_universe_creation_from_coordinates test_universe_unpickle_in_new_process test_creating_multiple_universe_without_offset \
+	test_universe_with_minimal test_streamplot test_frame_slice[run_kwargs TestDensityAnalysis \
+	test_diffusionmap test_dihedrals test_gnm test_random_walk_u_simple test_rdf_s TestRMSF \
+	TestXVGReader TestXVGFileReader "(test_copying and test_reader_)" test_timestep_copied test_positions_share_memory \
+	NAMDBINWriter test_NullWriter TestBaseTimestepInterface test_center_compounds_ TestSelectionsTPR \
+	test_group_traj_access TestAllCoordinatesKwarg TestUpdatingSelection \
+	test_multiprocess_COG[u1 test_readers_pickle[ref_reader17] test_readers_pickle[ref_reader20] test_readers_pickle[ref_reader30] \
+	test_nojump_iterate_twice test_posavging_
+endif
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64))
+  SKIP_TEST_LIST += test_start_stop_step TestHydrogenBondAnalysisTIP3P \
+	TestRMSD "(TestChainReader and test_time)" TestDCDReader TestDCDWriter \
+	test_write_istart TestLAMMPSDCDReader "(TestMemoryReader and (test_rename_aux or test_iter_as_aux))" \
+	TestNAMDBINReader NAMDBINWriter "(test_copying and test_reader)" \
+	test_timestep_copied[ref_reader25] test_positions_share_memory[ref_reader25]
 endif
 
 SKIP_TESTS=$(shell skip_tests=""; list_initialised=0; \
@@ -63,14 +120,16 @@
 	rm -rf testsuite/.pytest_cache
 
 override_dh_auto_test:
+ifeq (yes,$(findstring yes,$(RUNTEST)))
 	set -e; \
-	for py in $(shell py3versions -rv); do \
+	if [ $(shell nproc) -gt 2 ]; then for py in $(shell py3versions -rv); do \
 	  echo "=== testing with python$$py ==="; \
 	  pydir=`pybuild -p $$py --system=distutils --print {build_dir}`; \
 	  MPLBACKEND=agg PYTHONPATH=$$pydir python$$py -mpytest -v -k "$(SKIP_TESTS)" --disable-pytest-warnings testsuite; \
 	  rm -rf $$pydir/MDAnalysis/.hypothesis; \
 	  rm -rf $$pydir/MDAnalysis/.duecredit.p; \
-	done
+	done; fi
+endif
 
 execute_after_dh_python3:
 	dh_numpy3

## mdanalysis 2.10.0

=== package/requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 biopython>=1.80
 codecov
 cython
-fasteners
+filelock
 griddataformats
 gsd
 hypothesis

=== package/doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build -v -W
PAPER         =
BUILDDIR      = ..

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   =  $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	for i in html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex text man changes linkcheck doctest; do \
            rm -rf $(BUILDDIR)/$$i; \
        done

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MDAnalysis.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MDAnalysis.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MDAnalysis"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MDAnalysis"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
mdanalysis (2.10.0-1) unstable; urgency=medium

  * New upstream release
    - supports numpy 2.3. Closes: #1114702
    - Build-Depends-Indep: python3-sphinxcontrib.* for doc build:
      applehelp, bibtex, devhelp, htmlhelp, qthelp, serializinghtml
  * simplify debian/rules by removing nproc handling for tests
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * debian patch docs_intersphinx_local.patch adds intersphinx links
    to local documentation.
    Build-Depends-Indep: python3-doc, python-gsd-doc, python-h5py-doc,
    python-matplotlib-doc, python-numpy-doc, python-dask-doc,
    python-scipy-doc, rdkit-doc

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Oct 2025 00:50:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-all-dev,
                python3-setuptools,
                python3-numpy,
+               python3-numpy-dev,
                python3-biopython (>= 1.80) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
                python3-networkx,
                python3-griddataformats,
@@ -36,8 +37,21 @@
                      python3-pybtex,
                      python3-sphinx-rtd-theme,
                      python3-sphinx-sitemap,
+                     python3-sphinxcontrib.applehelp,
                      python3-sphinxcontrib.bibtex,
-                     libjs-mathjax
+                     python3-sphinxcontrib.devhelp,
+                     python3-sphinxcontrib.htmlhelp,
+                     python3-sphinxcontrib.qthelp,
+                     python3-sphinxcontrib.serializinghtml,
+                     python3-doc,
+                     python-gsd-doc,
+                     python-h5py-doc,
+                     python-matplotlib-doc,
+                     python-numpy-doc,
+                     python-dask-doc,
+                     python-scipy-doc,
+                     libjs-mathjax,
+                     rdkit-doc
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git

=== debian/rules ===
--- 
+++ 
@@ -122,13 +122,13 @@
 override_dh_auto_test:
 ifeq (yes,$(findstring yes,$(RUNTEST)))
 	set -e; \
-	if [ $(shell nproc) -gt 2 ]; then for py in $(shell py3versions -rv); do \
+	for py in $(shell py3versions -rv); do \
 	  echo "=== testing with python$$py ==="; \
 	  pydir=`pybuild -p $$py --system=distutils --print {build_dir}`; \
 	  MPLBACKEND=agg PYTHONPATH=$$pydir python$$py -mpytest -v -k "$(SKIP_TESTS)" --disable-pytest-warnings testsuite; \
 	  rm -rf $$pydir/MDAnalysis/.hypothesis; \
 	  rm -rf $$pydir/MDAnalysis/.duecredit.p; \
-	done; fi
+	done
 endif
 
 execute_after_dh_python3:

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,4 @@
  python3-pytest,
  python3-sklearn,
  python3-all
-Restrictions: allow-stderr
+Restrictions: allow-stderr, flaky
